| Qore DataProvider Module Reference 1.2.1

Public Attributes | List of all members
DataProvider::DataTypeInfo Struct Reference

describes a data type More...

## Public Attributes
string | base_type
| output: base type
bool | can_manage_fields = False
| if fields can be added dynamically to the type
hash< string, hash< DataFieldInfo > > | fields
| any fields supported by the type
bool | mandatory
| output: can be null / missing?
string | name
| the name of the type
*hash< auto > | options
| output: current transformation option values
*hash< string, hash< DataProviderTypeOptionInfo > > | supported_options
| output: transformation options supported by the type
list< string > | types_accepted
| output: list of types accepted
list< string > | types_returned
| input: list of types returned

## Detailed Description

describes a data type